Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.simevents
Class LinkedListStat<E>

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<OE>
              umontreal.iro.lecuyer.util.TransformingList<E,ListWithStat.Node<E>>
                  umontreal.iro.lecuyer.simevents.ListWithStat<E>
                      umontreal.iro.lecuyer.simevents.LinkedListStat<E>

All Implemented Interfaces:
  Iterable<E>, Collection<E>, List<E>

    public class LinkedListStat<E>

extends ListWithStat<E>

This class extends `ListWithStat`, and uses a linked list as the internal data structure.

Nested Class Summary

Nested classes/interfaces inherited from class umontreal.iro.lecuyer.simevents.ListWithStat
`ListWithStat.Node<E>`

Constructor Summary
`LinkedListStat()` Constructs a new list, initially empty.
`LinkedListStat(Collection<? extends E> c)` Constructs a list containing the elements of the specified collection, using the default simulator.
`LinkedListStat(Collection<? extends E> c, String name)` Constructs a new list containing the elements of the specified collection `c` and with name `name`, using the default simulator.
`LinkedListStat(Simulator inSim)` Constructs a new list, initially empty, and using the default simulator.
`LinkedListStat(Simulator inSim, Collection<? extends E> c)` Constructs a list containing the elements of the specified collection.
`LinkedListStat(Simulator inSim, Collection<? extends E> c, String name)` Constructs a new list containing the elements of the specified collection `c` and with name `name`.
`LinkedListStat(Simulator inSim, String name)` Constructs a new list with name `name`.
`LinkedListStat(String name)` Constructs a new list with name `name`, using the default simulator.

Method Summary
`void` | `addFirst(E obj)`
`void` | `addLast(E obj)`
`E` | `getFirst()`
`E` | `getLast()`
`E` | `removeFirst()`
`E` | `removeLast()`

Methods inherited from class umontreal.iro.lecuyer.simevents.ListWithStat
`add, clear, convertFromInnerType, convertToInnerType, getInitTime, getName, getStatCollecting, initStat, iterator, listIterator, listIterator, remove, report, set, setSimulator, setStatCollecting, simulator, statSize, statSojourn`

Methods inherited from class umontreal.iro.lecuyer.util.TransformingList
`get, getInnerList, size`

Methods inherited from class java.util.AbstractList
`add, addAll, equals, hashCode, indexOf, lastIndexOf, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### LinkedListStat

    public LinkedListStat()

  Constructs a new list, initially empty.

### LinkedListStat

    public LinkedListStat(Simulator inSim)

  Constructs a new list, initially empty, and using the default simulator.

  Parameters:
    `inSim` - Simulator associate to the current variable.

### LinkedListStat

    public LinkedListStat(Collection<? extends E> c)

  Constructs a list containing the elements of the specified collection, using the default simulator.

  Parameters:
    `c` - collection containing elements to fill in this list with

### LinkedListStat

    public LinkedListStat(Simulator inSim,
                          Collection<? extends E> c)

  Constructs a list containing the elements of the specified collection.

  Parameters:
    `inSim` - Simulator associate to the current variable.
    `c` - collection containing elements to fill in this list with

### LinkedListStat

    public LinkedListStat(String name)

  Constructs a new list with name `name`, using the default simulator. This name can be used to identify the list in traces and reports.

  Parameters:
    `name` - name for the list object

### LinkedListStat

    public LinkedListStat(Simulator inSim,
                          String name)

  Constructs a new list with name `name`. This name can be used to identify the list in traces and reports.

  Parameters:
    `inSim` - Simulator associate to the current variable.
    `name` - name for the list object

### LinkedListStat

    public LinkedListStat(Collection<? extends E> c,
                          String name)

  Constructs a new list containing the elements of the specified collection `c` and with name `name`, using the default simulator. This name can be used to identify the list in traces and reports.

  Parameters:
    `c` - collection containing elements to fill in this list with
    `name` - name for the list object

### LinkedListStat

    public LinkedListStat(Simulator inSim,
                          Collection<? extends E> c,
                          String name)

  Constructs a new list containing the elements of the specified collection `c` and with name `name`. This name can be used to identify the list in traces and reports.

  Parameters:
    `inSim` - Simulator associate to the current variable.
    `c` - collection containing elements to fill in this list with
    `name` - name for the list object

Method Detail

### addFirst

    public void addFirst(E obj)

### addLast

    public void addLast(E obj)

### getFirst

    public E getFirst()

### getLast

    public E getLast()

### removeFirst

    public E removeFirst()

### removeLast

    public E removeLast()

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.